package entity;

import environnement.Coordonnees;
import environnement.HitBox;


import static jeu.Jeu.getGameCharacter;
import static jeu.Jeu.getHearthList;

import java.util.List;

public class Hearth {
    private final HitBox hitBox;
    private final int width = 20;
    private final int height = 20;

    public Hearth(Coordonnees coordinates){
        hitBox = new HitBox(coordinates, height, width);
    }

    private void heal(){
        if (HitBox.collision(hitBox, getGameCharacter().getHitBox())){
            getGameCharacter().setNbLifePoints(Math.min(getGameCharacter().getNbLifePoints()+1,getGameCharacter().getMaxLifePoints()));
            getHearthList().remove(this);
        }
    }

    public HitBox getHitBox() {
        return hitBox;
    }

    public static void evolveHearths(){ //on fait heal tous les coeurs
        int k = 0;
        List<Hearth> testList = getHearthList(); //necessaire pour l evolution de la bouble while
        while (k < getHearthList().size()) {
            //on sauvegarde la liste des coeurs avant de faire heal (ou non) le coeur a l indice k
            //on le fait heal (ou non)
            getHearthList().get(k).heal();
            k++;
        }
    }

    
}
